package domain

type TmallExchangeAgreeExchangeBaseResponse struct {
	/*
	   返回结果说明     */
	Message *string `json:"message,omitempty" `

	/*
	   返回结果码     */
	MsgCode *string `json:"msg_code,omitempty" `

	/*
	   是否成功调用     */
	Success *bool `json:"success,omitempty" `

	/*
	   换货单信息     */
	Exchange *TmallExchangeAgreeExchange `json:"exchange,omitempty" `
}

func (s *TmallExchangeAgreeExchangeBaseResponse) SetMessage(v string) *TmallExchangeAgreeExchangeBaseResponse {
	s.Message = &v
	return s
}
func (s *TmallExchangeAgreeExchangeBaseResponse) SetMsgCode(v string) *TmallExchangeAgreeExchangeBaseResponse {
	s.MsgCode = &v
	return s
}
func (s *TmallExchangeAgreeExchangeBaseResponse) SetSuccess(v bool) *TmallExchangeAgreeExchangeBaseResponse {
	s.Success = &v
	return s
}
func (s *TmallExchangeAgreeExchangeBaseResponse) SetExchange(v TmallExchangeAgreeExchange) *TmallExchangeAgreeExchangeBaseResponse {
	s.Exchange = &v
	return s
}
